Skip to main content

Schedule

View as Markdown

Schedule object

schedule_idstringOutput only

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstringOutput only

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

cron_scheduleobject

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstring

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstring

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values:

  • UNPAUSED
  • PAUSED
display_namestring<= 255 characters

The display name for schedule.

Example: Monthly Traffic Report Snapshot

etagstring

The etag for the schedule. Must be left empty on create, must be provided on updates to ensure that the schedule has not been modified since the last read, and can be optionally provided on delete.

Example: 80611980

create_timestringOutput only

A timestamp indicating when the schedule was created.

update_timestringOutput only

A timestamp indicating when the schedule was last updated.

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Get dashboard schedule GA

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}

Get dashboard schedule.

API scopes: dashboards

Parameters

dashboard_idstringRequiredpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

schedule_idstringRequiredpath

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

Response

Returns the Schedule object.

List dashboard schedules GA

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules

List dashboard schedules.

API scopes: dashboards

Parameters

dashboard_idstringRequiredpath

UUID identifying the dashboard to which the schedules belongs.

Example: 04aab30f99ea444490c10c85852f216c

page_sizeint32[ 1 .. 100 ]query

The number of schedules to return per page.

Default: 20

page_tokenstringquery

A page token, received from a previous ListSchedules call. Use this to retrieve the subsequent page.

Example: EAI=

Response

Returns a list of Schedule objects.

Create dashboard schedule GA

POST /api/2.0/lakeview/dashboards/{dashboard_id}/schedules

Create dashboard schedule.

API scopes: dashboards

Parameters

dashboard_idstringRequiredpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

Request body

The schedule to create. A dashboard is limited to 10 schedules.

cron_scheduleobjectRequired

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstringRequired

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstringRequired

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values:

  • UNPAUSED
  • PAUSED
display_namestring<= 255 characters

The display name for schedule.

Example: Monthly Traffic Report Snapshot

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Response

Returns the Schedule object.

Update dashboard schedule GA

PUT /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}

Update dashboard schedule.

API scopes: dashboards

Parameters

dashboard_idstringRequiredpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

schedule_idstringRequiredpath

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

Request body

The schedule to update.

cron_scheduleobjectRequired

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstringRequired

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstringRequired

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values:

  • UNPAUSED
  • PAUSED
display_namestring<= 255 characters

The display name for schedule.

Example: Monthly Traffic Report Snapshot

etagstring

The etag for the schedule. Must be left empty on create, must be provided on updates to ensure that the schedule has not been modified since the last read, and can be optionally provided on delete.

Example: 80611980

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Response

Returns the Schedule object.

Delete dashboard schedule GA

DELETE /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}

Delete dashboard schedule.

API scopes: dashboards

Parameters

dashboard_idstringRequiredpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

schedule_idstringRequiredpath

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

etagstringquery

The etag for the schedule. Optionally, it can be provided to verify that the schedule has not been modified from its last retrieval.

Example: 80611980